﻿// This file is used by Code Analysis to maintain SuppressMessage
// attributes that are applied to this project.
// Project-level suppressions either have no target or are given
// a specific target and scoped to a namespace, type, member, etc.

using System.Diagnostics.CodeAnalysis;

[assembly: SuppressMessage("Style", "IDE0305:Simplify collection initialization", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsDepartureAirport(System.String)~System.Collections.Generic.List{Airlines.Repository.Entities.Flight}")]
[assembly: SuppressMessage("Style", "IDE0305:Simplify collection initialization", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsArrivalAirport(System.String)~System.Collections.Generic.List{Airlines.Repository.Entities.Flight}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.GetAirportMaxRunwaysCount~Airlines.Repository.Entities.Airport")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetEarliestFlightDepartureAirport(System.String)~Airlines.Repository.Entities.Flight")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.GetAirlineMaxFleetSize~Airlines.Repository.Entities.Airline")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.GetAirportMinRunwaysCount~Airlines.Repository.Entities.Airport")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetLatestFlightDepartureAirport(System.String)~Airlines.Repository.Entities.Flight")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetEarliestFlightArrivalAirport(System.String)~Airlines.Repository.Entities.Flight")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetLatestFlightArrivalAirport(System.String)~Airlines.Repository.Entities.Flight")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsDepartureAirport(System.String)~System.Collections.Generic.List{Airlines.Repository.Entities.Flight}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsArrivalAirport(System.String)~System.Collections.Generic.List{Airlines.Repository.Entities.Flight}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.GetAirlineMinFleetSize~Airlines.Repository.Entities.Airline")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.UpdateAirportRunwaysCount(System.String,System.Int32)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.UpdateFlightDepartureTime(System.String,System.DateTime)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.UpdateAirlineFleetSize(System.String,System.Int32)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.DeleteAirport(System.String)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.DeleteFlight(System.String)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.UpdateFlightArrivalTime(System.String,System.DateTime)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Configuration.ConfigurationManager.GetConnectionString(System.String)~System.String")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Configuration.ConfigurationManager.GetConnectionString(System.String)~System.String")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Configuration.ServiceProviderFactory.GetServiceProvider~System.IServiceProvider")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.UpdateAirlineFleetSize(System.String,System.Int32)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.UpdateAirportRunwaysCount(System.String,System.Int32)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.DeleteAirport(System.String)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.UpdateFlightDepartureTime(System.String,System.DateTime)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.UpdateFlightArrivalTime(System.String,System.DateTime)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.DeleteFlight(System.String)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Profiles.AirlineProfile.#ctor")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Profiles.AirportProfile.#ctor")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Profiles.FlightProfile.#ctor")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.AddFlight(Airlines.Repository.Dtos.FlightDto)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.AddAirline(Airlines.Repository.Dtos.AirlineDto)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.AddAirport(Airlines.Repository.Dtos.AirportDto)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.GetAirportsByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.AirportDto}")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.FlightDto}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.GetFlightsByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.FlightDto}")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.GetAirlinesByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.AirlineDto}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.GetAirportsByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.AirportDto}")]
[assembly: SuppressMessage("Style", "IDE0046:Convert to conditional expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.GetAirlinesByFilter(System.String,System.String)~System.Collections.Generic.List{Airlines.Repository.Dtos.AirlineDto}")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.UpdateAirline(Airlines.Repository.Dtos.AirlineDto)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.DeleteAirline(System.Int32)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirportRepository.UpdateAirport(Airlines.Repository.Dtos.AirportDto)")]
[assembly: SuppressMessage("Style", "IDE0058:Expression value is never used", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.FlightRepository.UpdateFlight(Airlines.Repository.Dtos.FlightDto)")]
[assembly: SuppressMessage("Style", "IDE0270:Use coalesce expression", Justification = "<Pending>", Scope = "member", Target = "~M:Airlines.Repository.Repository.AirlineRepository.DeleteAirline(System.Int32)")]
